MLAPI API Reference

# SyncedVar Class

[This is preliminary documentation and is subject to change.]

The attribute to use for variables that should be automatically. replicated from Server to Client.
Inheritance Hierarchy
System
Object
System
Attribute
MLAPI.Attributes
SyncedVar

Namespace: MLAPI.Attributes
Assembly: MLAPI (in MLAPI.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
Copy

    public class SyncedVar : Attribute

Request Example
View Source

The SyncedVar type exposes the following members.

Constructors

| Name | Description
--- | --- | ---
| SyncedVar | Initializes a new instance of the SyncedVar class

Top
Properties

| Name | Description
--- | --- | ---
| TypeId | (Inherited from Attribute.)

Top
Methods

| Name | Description
--- | --- | ---
| Equals | (Inherited from Attribute.)
| Finalize | (Inherited from Object.)
| GetHashCode | (Inherited from Attribute.)
| GetType | (Inherited from Object.)
| IsDefaultAttribute | (Inherited from Attribute.)
| Match | (Inherited from Attribute.)
| MemberwiseClone | (Inherited from Object.)
| ToString | (Inherited from Object.)

Top
Fields

| Name | Description
--- | --- | ---
| hook | The method name to invoke when the SyncVar get's updated.
| target | If true, the syncedVar will only be synced to the owner.

Top
See Also

#### Reference

MLAPI.Attributes Namespace